Project

General

Profile

Actions

Bug #1080

closed

SSL error when running the program "gem"

Added by ngocdaothanh (Ngoc Dao) about 12 years ago. Updated almost 10 years ago.

Status:
Rejected
Priority:
Normal
Target version:
ruby -v:
1.9.1 revision 21907
Backport:
[ruby-core:21699]

Description

=begin
After installing Ruby 1.9.1 (2009-01-30 revision 21907) on Leopard with:
$ configure --prefix=/Users/ngocdt/opt/ruby
$ make
$ make install

There are errors when running the program "gem":

$ ~/opt/ruby/bin/gem help install
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/openssl/ssl.rb:31: [BUG] Bus Error
ruby 1.9.1p0 (2009-01-30 revision 21907) [i386-darwin9.6.0]

-- control frame ----------
c:0034 p:---- s:0119 b:0119 l:000118 d:000118 CFUNC :initialize
c:0033 p:---- s:0117 b:0117 l:000116 d:000116 CFUNC :new
c:0032 p:0063 s:0114 b:0114 l:000113 d:000113 CLASS /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/openssl/ssl.rb:31
c:0031 p:0011 s:0112 b:0112 l:000111 d:000111 CLASS /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/openssl/ssl.rb:23
c:0030 p:0011 s:0110 b:0110 l:000109 d:000109 CLASS /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/openssl/ssl.rb:22
c:0029 p:0045 s:0108 b:0108 l:000107 d:000107 TOP /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/openssl/ssl.rb:21
c:0028 p:---- s:0106 b:0106 l:000105 d:000105 FINISH
c:0027 p:---- s:0104 b:0104 l:000103 d:000103 CFUNC :require
c:0026 p:0059 s:0100 b:0100 l:000099 d:000099 TOP /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/openssl.rb:22
c:0025 p:---- s:0098 b:0098 l:000097 d:000097 FINISH
c:0024 p:---- s:0096 b:0096 l:000095 d:000095 CFUNC :require
c:0023 p:0023 s:0092 b:0092 l:000091 d:000091 TOP /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/gem_openssl.rb:33
c:0022 p:---- s:0089 b:0089 l:000088 d:000088 FINISH
c:0021 p:---- s:0087 b:0087 l:000086 d:000086 CFUNC :require
c:0020 p:0023 s:0083 b:0083 l:000082 d:000082 TOP /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/security.rb:8
c:0019 p:---- s:0081 b:0081 l:000080 d:000080 FINISH
c:0018 p:---- s:0079 b:0079 l:000078 d:000078 CFUNC :require
c:0017 p:0023 s:0075 b:0075 l:000074 d:000074 TOP /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/install_update_options.rb:8
c:0016 p:---- s:0073 b:0073 l:000072 d:000072 FINISH
c:0015 p:---- s:0071 b:0071 l:000070 d:000070 CFUNC :require
c:0014 p:0035 s:0067 b:0067 l:000066 d:000066 TOP /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/commands/install_command.rb:3
c:0013 p:---- s:0065 b:0065 l:000064 d:000064 FINISH
c:0012 p:---- s:0063 b:0063 l:000062 d:000062 CFUNC :require
c:0011 p:0059 s:0059 b:0059 l:000055 d:000058 BLOCK /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/command_manager.rb:140
c:0010 p:0075 s:0056 b:0056 l:000055 d:000055 METHOD /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/command_manager.rb:132
c:0009 p:0055 s:0050 b:0048 l:000047 d:000047 METHOD /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/command_manager.rb:65
c:0008 p:0457 s:0044 b:0044 l:000043 d:000043 METHOD /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/commands/help_command.rb:158
c:0007 p:0071 s:0031 b:0031 l:000030 d:000030 METHOD /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/command.rb:136
c:0006 p:0194 s:0027 b:0027 l:000026 d:000026 METHOD /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/command_manager.rb:105
c:0005 p:0013 s:0021 b:0021 l:000020 d:000020 METHOD /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/command_manager.rb:75
c:0004 p:0089 s:0016 b:0016 l:000015 d:000015 METHOD /Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/gem_runner.rb:39
c:0003 p:0212 s:0009 b:0009 l:002664 d:000a40 EVAL /Users/ngocdt/opt/ruby/bin/gem:24
c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH
c:0001 p:0000 s:0002 b:0002 l:002664 d:002664 TOP :38964


-- Ruby level backtrace information-----------------------------------------
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/openssl/ssl.rb:31:in initialize'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/openssl/ssl.rb:31:in
new'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/openssl/ssl.rb:31:in <class:SSLContext>'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/openssl/ssl.rb:23:in
module:SSL'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/openssl/ssl.rb:22:in <module:OpenSSL>'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/openssl/ssl.rb:21:in
'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/openssl.rb:22:in require'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/openssl.rb:22:in
'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/gem_openssl.rb:33:in require'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/gem_openssl.rb:33:in
'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/security.rb:8:in require'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/security.rb:8:in
'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/install_update_options.rb:8:in require'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/install_update_options.rb:8:in
'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/commands/install_command.rb:3:in require'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/commands/install_command.rb:3:in
'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/command_manager.rb:140:in require'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/command_manager.rb:140:in
rescue in load_and_instantiate'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/command_manager.rb:132:in load_and_instantiate'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/command_manager.rb:65:in
[]'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/commands/help_command.rb:158:in execute'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/command.rb:136:in
invoke'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/command_manager.rb:105:in process_args'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/command_manager.rb:75:in
run'
/Users/ngocdt/opt/ruby/lib/ruby/1.9.1/rubygems/gem_runner.rb:39:in run'
/Users/ngocdt/opt/ruby/bin/gem:24:in
'

-- C level backtrace information -------------------------------------------
0x115fe2 0 ruby 0x00115fe2 rb_vm_bugreport + 82
0x2b70c 1 ruby 0x0002b70c rb_warning + 444
0x2b76b 2 ruby 0x0002b76b rb_bug + 43
0xbc78b 3 ruby 0x000bc78b rb_enable_interrupt + 75
0x96ffc2bb 4 libSystem.B.dylib 0x96ffc2bb _sigtramp + 43
0xffffffff 5 ??? 0xffffffff 0x0 + 4294967295

[NOTE]
You may encounter a bug of Ruby interpreter. Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html

Abort trap
=end

Actions #1

Updated by ngocdaothanh (Ngoc Dao) about 12 years ago

=begin
I am using MacPorts and it is installed at /opt. As a result, if I do the following things the above errors are gone:

$ ./configure --prefix=/Users/ngocdt/opt/ruby CFLAGS=-I/opt/local/include LDFLAGS=-L/opt/local/lib CPPFLAGS=-I/opt/local/include CXXFLAGS=-I/opt/local/include
$ mv /usr/local/lib /usr/local/original_lib
$ ln -s /opt/local/lib /usr/local/lib
$ make
$ make install
=end

Actions #2

Updated by ko1 (Koichi Sasada) about 12 years ago

  • Assignee set to gotoyuzo (GOTOU Yuuzou)
  • Target version set to 1.9.1

=begin

=end

Actions #3

Updated by marcandre (Marc-Andre Lafortune) over 11 years ago

  • Category set to build

=begin

=end

Actions #4

Updated by naruse (Yui NARUSE) over 11 years ago

  • Status changed from Open to Feedback

=begin
Does this still happen?
=end

Actions #5

Updated by naruse (Yui NARUSE) over 11 years ago

  • Status changed from Feedback to Rejected

=begin

=end

Actions

Also available in: Atom PDF